package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.UniqueConstraint;

/**
 * BiMappings generated by hbm2java
 */
@Entity
@Table(name="bi_mappings"
    ,schema="public"
    , uniqueConstraints = @UniqueConstraint(columnNames={"client_id", "bi_operation_type"}) 
)
public class BiMappings  implements java.io.Serializable {


     private Long id;
     private ClassOperatorType classOperatorType;
     private ClientSecureCommunicationData clientSecureCommunicationData;
     private Date createdAt;
     private Date modifiedAt;
     private String description;
     private String biOperationType;

    public BiMappings() {
    }

    public BiMappings(ClassOperatorType classOperatorType, ClientSecureCommunicationData clientSecureCommunicationData, Date createdAt, Date modifiedAt, String description, String biOperationType) {
       this.classOperatorType = classOperatorType;
       this.clientSecureCommunicationData = clientSecureCommunicationData;
       this.createdAt = createdAt;
       this.modifiedAt = modifiedAt;
       this.description = description;
       this.biOperationType = biOperationType;
    }
   
     @SequenceGenerator(name="generator", sequenceName="bi_mappings_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="preffered_operator_id")
    public ClassOperatorType getClassOperatorType() {
        return this.classOperatorType;
    }
    
    public void setClassOperatorType(ClassOperatorType classOperatorType) {
        this.classOperatorType = classOperatorType;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="client_id")
    public ClientSecureCommunicationData getClientSecureCommunicationData() {
        return this.clientSecureCommunicationData;
    }
    
    public void setClientSecureCommunicationData(ClientSecureCommunicationData clientSecureCommunicationData) {
        this.clientSecureCommunicationData = clientSecureCommunicationData;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="created_at", length=29)
    public Date getCreatedAt() {
        return this.createdAt;
    }
    
    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="modified_at", length=29)
    public Date getModifiedAt() {
        return this.modifiedAt;
    }
    
    public void setModifiedAt(Date modifiedAt) {
        this.modifiedAt = modifiedAt;
    }

    
    @Column(name="description")
    public String getDescription() {
        return this.description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }

    
    @Column(name="bi_operation_type")
    public String getBiOperationType() {
        return this.biOperationType;
    }
    
    public void setBiOperationType(String biOperationType) {
        this.biOperationType = biOperationType;
    }




}


